Recent

Author Topic: Online Package Manager  (Read 435848 times)

lainz

  • Hero Member
  • *****
  • Posts: 3270
    • Lainz
Re: Online Package Manager
« Reply #1695 on: November 06, 2019, 02:47:59 pm »
Hi, I'm not sure if fixed in trunk, but when I search for a package like bgrabitmap in 2.0.6, then search for bgracontrols and click on install, it tries to install bgracontrols but not bgrabitmap first.. seems that when the search is filled with something it only takes into account the displayed packages and not all the checked ones.

zeljko

  • Hero Member
  • *****
  • Posts: 1079
    • http://wiki.lazarus.freepascal.org/User:Zeljan
Re: Online Package Manager
« Reply #1696 on: November 06, 2019, 04:58:03 pm »
Seem that lclextensions package is not in sync with lazarus/components/lclextensions package for some reason.
include/qt5 is missin at all in opkman (installed fixes_3_2 and lazarus trunk via fpcupdeluxe on ubuntu 19.10, qt5 won't build because of missing include/qt5 dir which exists in lazarus/components/lclextensions/include

GetMem

  • Hero Member
  • *****
  • Posts: 3506
Re: Online Package Manager
« Reply #1697 on: November 06, 2019, 07:29:53 pm »
@lainz
Quote
Hi, I'm not sure if fixed in trunk, but when I search for a package like bgrabitmap in 2.0.6, then search for bgracontrols and click on install, it tries to install bgracontrols but not bgrabitmap first.. seems that when the search is filled with something it only takes into account the displayed packages and not all the checked ones.
Most likely you have an old BGRABitmap folder in the local repository. Since BGRABitmap  is a runtime package and is present in the local repository, the IDE thinks that all BGRAControls dependencies are met, so OPM won't try to download/install BGRABitmap. When you wish to install a new version of BGRABitmap/BGRAControls, please uninstall the packages first, then press the "Cleanup" button, which will remove any old version from the local repository.

I did run a few tests(initially BGRABitmap and BGRAControls are not installed). I only checked BGRAControls, OPM works as it should(see screenshot).
If it's time to update the packages, please let me know. Thanks for the feedback.


« Last Edit: November 06, 2019, 07:40:26 pm by GetMem »

GetMem

  • Hero Member
  • *****
  • Posts: 3506
Re: Online Package Manager
« Reply #1698 on: November 06, 2019, 07:36:24 pm »
@zeljko
Quote
Seem that lclextensions package is not in sync with lazarus/components/lclextensions package for some reason.
include/qt5 is missin at all in opkman (installed fixes_3_2 and lazarus trunk via fpcupdeluxe on ubuntu 19.10, qt5 won't build because of missing include/qt5 dir which exists in lazarus/components/lclextensions/include
The only reason why lclextension is still in OPM, is because VirtualTreeView_5x(also in OPM) depends on it. However I don't see any reason why lclextension from OPM cannot be synchronized with lclextension from trunk. So I just did it. Thanks for the feedback.

lainz

  • Hero Member
  • *****
  • Posts: 3270
    • Lainz
Re: Online Package Manager
« Reply #1699 on: November 06, 2019, 08:30:21 pm »
Most likely you have an old BGRABitmap folder in the local repository. Since BGRABitmap  is a runtime package and is present in the local repository, the IDE thinks that all BGRAControls dependencies are met, so OPM won't try to download/install BGRABitmap. When you wish to install a new version of BGRABitmap/BGRAControls, please uninstall the packages first, then press the "Cleanup" button, which will remove any old version from the local repository.

I did run a few tests(initially BGRABitmap and BGRAControls are not installed). I only checked BGRAControls, OPM works as it should(see screenshot).
If it's time to update the packages, please let me know. Thanks for the feedback.

Hi, it was in a VM with a fresh install of lazarus, running opm for the first time, the exact steps was:
- Searching bgrabitmap, check package for install, clean search
- Searching bgracontrols, check package for install, --> not clean search -<<, then install from repository, it was installing bgracontrols first

What I did next the error: I just cleared the search box and clicked on install again, and it started downloading bgrabitmap first.

I think if you cant reproduce is a bug on my system, people is reporting a lot of issues with any program and ubuntu 19.10, so it can be a specific problem there.

You can update if you want, circular did a tool that updates the json file automatically, so every time I release a new bgracontrols it updates the json for opm too, so I never forget it =)